#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@ --sourcedirectory=src

override_dh_auto_build:
	mkdir -p plugins bin
	dh_auto_build -- targets

override_dh_auto_install:
	dh_auto_install -- DESTDIR=$(CURDIR)/debian/ladspa-sdk \
        INSTALL_PLUGINS_DIR=$(CURDIR)/debian/ladspa-sdk/usr/lib/ladspa/ \
        INSTALL_INCLUDE_DIR=$(CURDIR)/debian/ladspa-sdk/usr/include/ \
        INSTALL_BINARY_DIR=$(CURDIR)/debian/ladspa-sdk/usr/bin/

# Tests require humans
override_dh_auto_test:

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEB_BUILDDIR = src
DEB_MAKE_BUILD_TARGET = targets
DEB_MAKE_INSTALL_TARGET = install DESTDIR=$(CURDIR)/debian/ladspa-sdk \
	INSTALL_PLUGINS_DIR=$(CURDIR)/debian/ladspa-sdk/usr/lib/ladspa/ \
	INSTALL_INCLUDE_DIR=$(CURDIR)/debian/ladspa-sdk/usr/include/ \
	INSTALL_BINARY_DIR=$(CURDIR)/debian/ladspa-sdk/usr/bin/

pre-build::
# git doesn't preserve empty dirs, this is for git-buildpackage
	mkdir -p plugins
	mkdir -p bin